import server from '@/utils/request'

//新增
interface Addobj{
    typeCode:String	                //电池型号编码
    typeName:String                 //电池型号名称
    batCode:String	                //电池编码
    sourceFrom:String|Number	      //初始来源：1-站，2-车
    status:String|Number	          //状态：1-出租中，2-充电中，3-充电完毕，4-故障，5-其它
    pkId?:String
    productionDate?:String	        //生产日期
    registrationDate?:String	      //注册时间
    sourceCode?:String	            //站码或车牌照
    // stationCode?:String	        //换电站编码
    // stationName:String           //换电站名称
    soc?:String|Number	            //当前电量
    dccNo?:String                    //电池仓序号    
    pointType:String|Number         //轨迹点类型  1-站，2-车   
    pointCode:String	              //轨迹点编码
    pointName:String	              //轨迹点名称
}

export function addhdz(data:Addobj) {
  return server.request({
    url: '/cloud/battery/station/dc/add',
    method: 'post',
    data
  })
}

//修改
export function update(data:Addobj) {
  return server.request({
    url: '/cloud/battery/station/dc/update',
    method: 'post',
    data
  })
}

//查询
interface Querydata{
  pageSize:String|number,	    //每页条数
  pageNo:String|number	        //页数
  stationCode?:String           //换电站编码  
  proxyId?:String	            //归属运营商ID
}
export function getjqrlist(params:Querydata) {
  return server.request({
    url: '/cloud/battery/station/dc/list',
    method: 'get',
    params
  })
}

//删除
export function delhdz(id:string) {
  return server.request({
    url: '/cloud/battery/station/dc/del',
    method: 'post',
    data:{
      id
    }
  })
}


//查询追溯
export function getzhuis(batteryCode:string) {
  return server.request({
    url: '/cloud/battery/station/dc/trace/list',
    method: 'get',
    params:{
      batteryCode
    }
  })
}

//添加追溯
interface Addzs{
  batCode:string	             //电池编码
  pointType:String	          //轨迹点类型：1-电站，2-车辆
  beginTime:String	          //开始时间,示例值(yyyy-MM-dd HH:mm:ss)
  pointCode:String	          //轨迹点编码
  pointName:String	          //轨迹点名称
  endTime?:String	            //结束时间,示例值(yyyy-MM-dd HH:mm:ss)
}
export function addzhuis(data:Addzs) {
  return server.request({
    url: '/cloud/battery/station/dc/trace/add',
    method: 'post',
    data
  })
}


//电池数据/
// type:1 近一周 2近半个月 3近一个月 4近半年 5 近一年
// batCode: 电池编码
export function getdcsj(batCode:any,beginTime:any,endTime:any) {
  return server.request({
    headers:{
      'content-type':'application/json;charset=utf-8'
    },
    url: '/cloud/battery/station/dc/dynamic/detail',
    method: 'post',
    data:{
      batCode,
      beginTime,
      endTime
    }
  })
}